require 'test_helper'

class LearningObjectTest < ActiveSupport::TestCase
  should validate_presence_of(:name)
  should validate_presence_of(:date_creation)
  should validate_presence_of(:type)
  should validate_presence_of(:likes)
  should validate_presence_of(:views)
  should validate_presence_of(:downloads)

  should validate_numericality_of(:likes).is_greater_than_or_equal_to(0)
  should validate_numericality_of(:views).is_greater_than_or_equal_to(0)
  should validate_numericality_of(:downloads).is_greater_than_or_equal_to(0)
end
